%define upstream_name    Text-Quoted
%define upstream_version 2.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl module to extract the structure of a quoted mail message
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Text::Autoformat)
BuildRequires: perl(Text::Tabs)
BuildArch:  noarch

%description
Text::Quoted examines the structure of some text which may contain multiple 
different levels of quoting, and turns the text into a nested data structure.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.100.0-4.mga9
+ Revision: 1810513
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.100.0-3.mga8
+ Revision: 1506733
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.100.0-2.mga7
+ Revision: 1286978
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 2.100.0-1.mga7
+ Revision: 1254047
- update to 2.10

* Tue Oct 03 2017 tv <tv> 2.90.0-5.mga7
+ Revision: 1166985
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 2.90.0-4.mga7
+ Revision: 1159423
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 2.90.0-3.mga6
+ Revision: 1035080
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.90.0-2.mga6
+ Revision: 967243
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 2.90.0-1.mga6
+ Revision: 848556
- update to 2.09

* Wed Oct 15 2014 umeabot <umeabot> 2.80.0-4.mga5
+ Revision: 745487
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.80.0-3.mga5
+ Revision: 686645
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.80.0-2.mga4
+ Revision: 527389
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.80.0-1.mga4
+ Revision: 440011
- update to 2.08

* Sun Jan 13 2013 umeabot <umeabot> 2.60.0-2.mga3
+ Revision: 374138
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.60.0-1.mga1
+ Revision: 29208
- mageia rebuild
- imported package perl-Text-Quoted


* Tue Mar 16 2010 Jérôme Quelin <jquelin@mandriva.org> 2.60.0-1mdv2010.1
+ Revision: 521642
- update to 2.06

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 2.50.0-1mdv2010.0
+ Revision: 406189
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.05-4mdv2009.0
+ Revision: 258620
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.05-3mdv2009.0
+ Revision: 246639
- rebuild

* Fri Jan 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.05-1mdv2008.1
+ Revision: 158108
- update to new version 2.05

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.03-1mdv2008.1
+ Revision: 108001
- update to new version 2.03
- update to new version 2.03

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 2.02-1mdv2008.0
+ Revision: 20771
- 2.02


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.8-4mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 1.8-3mdk
- Do not ship empty dir

* Fri Nov 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.8-2mdk
- Fix BuildRequires

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 1.8-1mdk
- First mandriva package

